Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556322 - rejson: FTBFS in F28
Summary: rejson: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rejson
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:39 UTC by Fedora Release Engineering
Modified: 2018-03-21 05:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-21 05:18:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:39:44 UTC
Your package rejson failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24887824

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Nathan Scott 2018-03-14 23:43:11 UTC
Hmm, that koji build says ...

BuildError: error building package (arch ppc64), mock exited with status 1; see build.log for more information

... but there are no build logs at all.  And only one architecture failed to build - looks like a possible Fedora infrastructure problem.

Comment 2 Nathan Scott 2018-03-15 22:41:50 UTC
A rebuild attempt is now passing on the one architecture that failed previously, suggesting some transient infrastructure issue did indeed cause the initial failure to build.

However, it is failing the test cases on two different architectures, again with a strange infrastructure-related kind of issue - this time it's failing to open a port (above 1000) to test with ... and again, never seen this issue before.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25734028

Comment 3 Nathan Scott 2018-03-15 22:44:29 UTC
For reference, this is the snippet of the new build log indicating the failures:

(i686)
4526:M 15 Mar 22:25:05.293 # Creating Server TCP listening socket *:1017: bind: Permission denied

(armv7hl)
28851:M 15 Mar 22:26:59.071 # Creating Server TCP listening socket *:1015: bind: Permission denied

All other architectures have no problems with the build.

Comment 4 Nathan Scott 2018-03-21 05:18:15 UTC
All transient infrastructure issues seem to have cleared themselves up and a fresh rebuild just succeeded ...
https://koji.fedoraproject.org/koji/taskinfo?taskID=25847987


Note You need to log in before you can comment on or make changes to this bug.